@charset "UTF-8";
:root {
  --global-bg-color: #ffffff;
  --global-code-bg-color: rgba(0, 118, 223, 0.05);
  --global-text-color: #000000;
  --global-text-color-light: #828282;
  --global-theme-color: #0076df;
  --global-hover-color: #0076df;
  --global-footer-bg-color: #1C1C1D;
  --global-footer-text-color: #b4b4b4;
  --global-footer-link-color: #ffffff;
  --global-distill-app-color: #828282;
  --global-divider-color: rgba(0, 0, 0, .1);
  --global-hr-color: rgba(0,0,0,.1);
  --global-card-bg-color: #ffffff;
}
:root .fa-sun {
  display: none;
}
:root .fa-moon {
  padding-left: 10px;
  display: block;
}

html[data-theme=dark] {
  --global-bg-color: #1C1C1D;
  --global-code-bg-color: #2c3237;
  --global-text-color: #b4b4b4;
  --global-text-color-light: #b4b4b4;
  --global-theme-color: #2698BA;
  --global-hover-color: #2698BA;
  --global-footer-bg-color: #b4b4b4;
  --global-footer-text-color: #1C1C1D;
  --global-footer-link-color: #000000;
  --global-distill-app-color: #b4b4b4;
  --global-divider-color: #424246;
  --global-card-bg-color: #212529;
}
html[data-theme=dark] .fa-sun {
  padding-left: 10px;
  display: block;
}
html[data-theme=dark] .fa-moon {
  display: none;
}

body {
  padding-bottom: 70px;
  color: var(--global-text-color);
  background-color: var(--global-bg-color);
  line-height: 1.5;
}
body h1, body h2, body h3, body h4, body h5, body h6 {
  scroll-margin-top: 82px;
}

body.fixed-top-nav {
  padding-top: 72px;
}

body.sticky-bottom-footer {
  padding-bottom: 0;
}

.container {
  max-width: 900px;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1rem;
  padding-right: 1rem;
}

.profile img {
  width: 100%;
}

p, h1, h2, h3, h4, h5, h6, em, div, li, span {
  color: var(--global-text-color);
  font-family: "Fira Sans", sans-serif;
}

h1 {
  font-weight: 300;
  margin-top: 0.47em;
  margin-bottom: 0.47em;
}

h2 {
  font-weight: 300;
  margin-top: 0.58em;
  margin-bottom: 0.58em;
}

h3 {
  font-weight: 300;
  margin-top: 0.7em;
  margin-bottom: 0.7em;
}

article {
  text-align: left;
  padding-left: 10px;
}

strong {
  color: var(--global-text-color);
  font-family: "Fira Sans", sans-serif;
  font-weight: bold;
}

b {
  font-weight: bold;
}

hr {
  border-top: 1px solid var(--global-hr-color);
}

table td, table th {
  color: var(--global-text-color);
}
table td {
  font-size: 1rem;
}

a {
  color: var(--global-theme-color);
  text-decoration: none;
}
a:hover {
  color: var(--global-theme-color);
  text-decoration: none;
}

figure, img {
  max-width: 90vw;
}

blockquote {
  background: var(--global-bg-color);
  border-left: 2px solid var(--global-theme-color);
  margin: 1.5em 10px;
  padding: 0.5em 10px;
  font-size: 1.2rem;
}

.equation {
  margin-bottom: 1rem;
  text-align: center;
}

.caption {
  font-size: 0.875rem;
  margin-top: 0.75rem;
  margin-bottom: 1.5rem;
  text-align: center;
}

.card {
  background-color: var(--global-card-bg-color);
}
.card img {
  width: 100%;
}
.card .card-title {
  color: var(--global-text-color);
}
.card .card-item {
  width: auto;
  margin-bottom: 10px;
}

.profile {
  margin-right: 2rem;
  margin-top: 0.3rem;
  width: 100%;
}
.profile .address {
  margin-bottom: 12px;
  margin-top: 5px;
}
.profile .address p {
  display: inline-block;
  margin: 0;
}

@media (min-width: 576px) {
  .profile {
    width: 100%;
  }
  .profile .profilepic {
    width: 150px;
    float: left;
    margin-bottom: 12px;
    margin-right: 2rem;
  }
  .profile .address {
    width: 400px;
    display: table;
    float: left;
    font-size: 0.9rem;
  }
  .profile .address p {
    display: table-row;
  }
}
.intro {
  clear: left;
  text-align: left;
  padding: 10px;
}

.post-description {
  margin-bottom: 2rem;
  font-size: 0.875rem;
}
.post-description a {
  color: inherit;
}
.post-description a:hover {
  color: var(--global-theme-color);
  text-decoration: none;
}

.navbar {
  box-shadow: none;
  border-bottom: 1px solid var(--global-divider-color);
  background-color: var(--global-bg-color);
  opacity: 0.95;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1030;
}

body.fixed-top-nav .navbar {
  position: fixed;
}

.navbar .container {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.navbar-brand {
  color: var(--global-text-color);
  text-decoration: none;
  font-weight: lighter;
  font-size: 1.25rem;
}
.navbar-brand.font-weight-bold .font-weight-bold {
  font-weight: bold;
}

.navbar-brand.social {
  padding-bottom: 0;
  padding-top: 0;
  font-size: 1.7rem;
}
.navbar-brand.social a i::before {
  color: var(--global-text-color);
  transition: all 0.2s ease-in-out;
}
.navbar-brand.social a:hover i::before {
  color: var(--global-theme-color);
}

.navbar-toggler {
  background: none;
  border: none;
  cursor: pointer;
  padding: 0.25rem 0.5rem;
  margin-left: auto;
  display: none;
}
.navbar-toggler .icon-bar {
  display: block;
  width: 22px;
  height: 2px;
  background-color: var(--global-text-color);
  border-radius: 1px;
  margin-bottom: 4px;
  transition: all 0.2s;
}
.navbar-toggler.collapsed .top-bar {
  transform: rotate(45deg);
  transform-origin: 10% 10%;
}
.navbar-toggler.collapsed .middle-bar {
  opacity: 0;
}
.navbar-toggler.collapsed .bottom-bar {
  transform: rotate(-45deg);
  transform-origin: 10% 90%;
}
.navbar-toggler .top-bar {
  transform: rotate(0);
}
.navbar-toggler .middle-bar {
  opacity: 1;
}
.navbar-toggler .bottom-bar {
  transform: rotate(0);
}

.navbar-collapse {
  display: flex;
  flex-basis: auto;
  flex-grow: 1;
  align-items: center;
}

.navbar-nav {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
  margin-left: auto;
  align-items: center;
}
.navbar-nav .nav-item {
  position: relative;
}
.navbar-nav .nav-link {
  display: block;
  padding: 0.5rem 0.75rem;
  color: var(--global-text-color);
  font-family: "Fira Sans", sans-serif;
  font-weight: 300;
  text-decoration: none;
}
.navbar-nav .nav-link:hover {
  color: var(--global-hover-color);
}
.navbar-nav .nav-item.active > .nav-link {
  background-color: inherit;
  font-weight: 400;
  color: var(--global-theme-color);
}
.navbar-nav .nav-item.active > .nav-link:hover {
  color: var(--global-hover-color);
}
.navbar-nav .dropdown .dropdown-toggle::after {
  content: " ▾";
  font-size: 0.7em;
  color: var(--global-text-color);
}
.navbar-nav .dropdown .dropdown-menu {
  display: none;
  position: absolute;
  right: 0;
  left: auto;
  min-width: max-content;
  background-color: var(--global-bg-color);
  border: 1px solid var(--global-divider-color);
  padding: 0.25rem 0;
}
.navbar-nav .dropdown .dropdown-menu a {
  display: block;
  padding: 0.4rem 1rem;
  color: var(--global-text-color);
  font-family: "Fira Sans", sans-serif;
  font-weight: 300;
  white-space: nowrap;
  text-decoration: none;
}
.navbar-nav .dropdown .dropdown-menu a:hover {
  color: var(--global-hover-color);
  background-color: var(--global-bg-color);
}
.navbar-nav .dropdown .dropdown-menu .dropdown-divider {
  height: 0;
  margin: 0.25rem 0;
  border-top: 1px solid var(--global-divider-color);
}
.navbar-nav .dropdown:hover .dropdown-menu, .navbar-nav .dropdown:focus-within .dropdown-menu {
  display: block;
}

.toggle-container {
  display: flex;
  align-items: center;
  padding: 0 0.5rem;
}
.toggle-container a {
  display: flex;
  align-items: center;
  color: var(--global-text-color);
  cursor: pointer;
}

@media (max-width: 575.98px) {
  .navbar-toggler {
    display: inline-block;
  }
  .navbar-collapse {
    display: none;
    flex-basis: 100%;
    flex-direction: column;
    align-items: flex-start;
    padding-top: 0.5rem;
  }
  .navbar-collapse.open {
    display: flex;
  }
  .navbar-nav {
    margin-left: 0;
    flex-direction: column;
    width: 100%;
  }
  .navbar-nav .dropdown .dropdown-menu {
    position: static;
    border: none;
    padding-left: 1rem;
  }
}
.social {
  text-align: center;
}
.social .contact-icons {
  font-size: 2rem;
}
.social .contact-icons a i::before {
  color: var(--global-text-color);
  transition: all 0.2s ease-in-out;
}
.social .contact-icons a:hover i::before {
  color: var(--global-theme-color);
}
.social .contact-note {
  font-size: 0.8rem;
}

.footer-socials {
  position: relative;
  font-size: x-large;
  display: inline;
  padding-right: 30px;
}

@media only screen and (max-width: 700px) {
  .footer-socials {
    display: block;
    text-align: center;
    padding: 0;
  }
  .container {
    padding: 0;
    text-align: center;
  }
}
footer.fixed-bottom {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: var(--global-footer-bg-color);
  font-size: 0.75rem;
  text-align: center;
}
footer.fixed-bottom .container {
  color: var(--global-footer-text-color);
  padding-top: 9px;
  padding-bottom: 8px;
}
footer.fixed-bottom a {
  color: var(--global-footer-link-color);
}
footer.fixed-bottom a:hover {
  color: var(--global-theme-color);
  text-decoration: none;
}

footer.sticky-bottom {
  border-top: 1px solid var(--global-divider-color);
  padding-top: 40px;
  padding-bottom: 40px;
  font-size: 0.9rem;
}

.post .post-meta {
  color: var(--global-text-color-light);
  font-size: 0.875rem;
  margin-bottom: 0;
}
.post .post-title {
  font-size: 2rem;
}
.post h2 {
  font-size: 1.5rem;
}
.post h3 {
  font-size: 1.3rem;
}
.post h4 {
  font-size: 1rem;
  font-weight: bold;
}
.post h5 {
  font-size: 1rem;
  font-style: italic;
  font-weight: normal;
}

.people {
  overflow-y: hidden;
}
.people a {
  text-decoration: none;
}
.people a:hover .card-title {
  color: var(--global-theme-color);
}
.people .card-title {
  height: 20px;
  text-decoration: solid;
  font-size: medium;
  text-transform: capitalize;
}
.people .card-subtitle {
  height: 14px;
  font-size: small;
}
.people .card img {
  height: auto;
  width: 100%;
}
.people .card-item {
  width: auto;
  margin-bottom: 10px;
  margin-top: 10px;
}
.people .grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, 200px);
  gap: 10px;
}
.people .grid-sizer, .people .grid-item {
  width: 200px;
  margin-bottom: 10px;
  margin-top: 10px;
  height: 350px;
}
.people h2.category {
  color: var(--global-divider-color);
  border-bottom: 1px solid var(--global-divider-color);
  padding-top: 1rem;
  margin-top: 1rem;
  margin-bottom: 1rem;
  text-align: right;
}

.projects a {
  text-decoration: none;
}
.projects a:hover .card-title {
  color: var(--global-theme-color);
}
.projects .card img {
  width: 100%;
}
.projects .card-item {
  width: auto;
  margin-bottom: 10px;
}
.projects .grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, 250px);
  gap: 10px;
}
.projects .grid-sizer, .projects .grid-item {
  width: 250px;
  margin-bottom: 10px;
}
.projects h2.category {
  color: var(--global-divider-color);
  border-bottom: 1px solid var(--global-divider-color);
  padding-top: 0.5rem;
  margin-top: 2rem;
  margin-bottom: 1rem;
  text-align: right;
}

.courses {
  overflow-y: hidden;
}
.courses a {
  text-decoration: none;
}
.courses a:hover .card-title {
  color: var(--global-theme-color);
}
.courses .card-title {
  height: 80px;
}
.courses .card-number {
  font-size: x-large;
  height: 30px;
}
.courses .card-text {
  height: 228px;
}
.courses .card-footer {
  height: 70px;
}
.courses .card img {
  width: 100%;
}
.courses .card-item {
  width: auto;
  margin-bottom: 10px;
}
.courses .grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, 280px);
  gap: 10px;
}
.courses .grid-sizer, .courses .grid-item {
  width: 280px;
  margin-bottom: 10px;
  padding: 5px;
  height: 500px;
}
.courses h2.category {
  color: var(--global-divider-color);
  border-bottom: 1px solid var(--global-divider-color);
  padding-top: 0.5rem;
  margin-top: 2rem;
  margin-bottom: 1rem;
  text-align: right;
}

.outdoors {
  overflow-y: hidden;
}
.outdoors a {
  text-decoration: none;
}
.outdoors a:hover .card-title {
  color: var(--global-theme-color);
}
.outdoors .card-title {
  height: 20px;
  padding-bottom: 2px;
}
.outdoors .card-name {
  font-size: x-large;
  height: 40px;
}
.outdoors .card-text {
  height: 200px;
}
.outdoors .card-footer {
  height: 5px;
}
.outdoors .card img {
  width: 100%;
  height: 200px;
  object-fit: cover;
}
.outdoors .card-item {
  width: auto;
  margin-bottom: 5px;
}
.outdoors .grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, 270px);
  gap: 10px;
}
.outdoors .grid-sizer, .outdoors .grid-item {
  width: 270px;
  margin-bottom: 10px;
  height: 500px;
  margin-left: 2px;
}
.outdoors h2.category {
  color: var(--global-divider-color);
  border-bottom: 1px solid var(--global-divider-color);
  padding-top: 0.5rem;
  margin-top: 2rem;
  margin-bottom: 1rem;
  text-align: right;
}

.pub-title--conference b,
.pub-title--journal b,
.pub-title--dissertation b,
.pub-title--patent b {
  font-weight: bold;
}

.pub-title--conference b {
  color: DarkGreen;
}

.pub-title--journal b {
  color: DarkBlue;
}

.pub-title--dissertation b {
  color: Purple;
}

.pub-title--patent b {
  color: Maroon;
}

.pub-item {
  margin-bottom: 0.5em;
}

.publications {
  margin-top: 2rem;
}
.publications h1 {
  color: var(--global-theme-color);
  font-size: 2rem;
  text-align: center;
  margin-top: 1em;
  margin-bottom: 1em;
}
.publications h2 {
  margin-bottom: 1rem;
}
.publications h2 span {
  font-size: 1.5rem;
}
.publications h2.year {
  color: var(--global-divider-color);
  border-top: 1px solid var(--global-divider-color);
  padding-top: 1rem;
  margin-top: 2rem;
  margin-bottom: -2rem;
  text-align: right;
}

pre {
  color: var(--global-theme-color);
  background-color: var(--global-code-bg-color);
  border-radius: 6px;
  padding: 6px 12px;
  overflow-x: auto;
}

code {
  color: var(--global-theme-color);
  background-color: var(--global-code-bg-color);
  border-radius: 3px;
  padding: 3px;
}

html.transition,
html.transition *,
html.transition *:before,
html.transition *:after {
  transition: all 750ms !important;
  transition-delay: 0 !important;
}